# net\_version

Returns the current network id.

This method will use `10` [Compute Units](https://docs.validationcloud.io/v1/about/billing).

***

## Reference: [Here](https://ethereum.org/en/developers/docs/apis/json-rpc/#net_version)

## **Parameters**

`None`

## **Returns**

`String` - The current network id.

The full list of current network IDs is available at [chainlist.org](https://chainlist.org/). Some common ones are:

* `1`: Ethereum Mainnet
* `5`: Goerli testnet
* `11155111`: Sepolia testnet

```json
// Result
{
  "id":67,
  "jsonrpc": "2.0",
  "result": "3"
}
```

{% tabs %}
{% tab title="mainnet" %}

```bash
curl https://mainnet.arbitrum.validationcloud.io/v1/<YOUR_API_KEY_HERE> \
    -X POST \
    -H "Content-Type: application/json" \
    -d '{"jsonrpc":"2.0","method":"net_version","params":[],"id":67}'

```

{% endtab %}

{% tab title="testnet" %}

```bash
curl https://sepolia.arbitrum.validationcloud.io/v1/<YOUR_API_KEY_HERE> \
    -X POST \
    -H "Content-Type: application/json" \
    -d '{"jsonrpc":"2.0","method":"net_version","params":[],"id":67}'

```

{% endtab %}
{% endtabs %}
